#!/usr/bin/env ruby

puts"3択クイズー！！"
seikaisuu = 0
sleep 1

puts"-第1問-"
puts"Rubyで文字を表示させたいときはどれを使うとできる？"
print"1.rand, 2.print, 3.gets : "
answer = gets.to_i

if answer == 2
  puts"正解！"
  seikaisuu += 1
else
  puts"残念..."
end

puts"-第2問-"
puts"入力したものが数字のときにはgetsの後ろに何をつければいい？"
print"1. .to_i , 2. .chomp , 3. .toto : "
answer = gets.to_i

if answer == 1
  puts"正解！"
  seikaisuu += 1
else
  puts"残念..."
end

puts"-第3問-"
puts"今日の天気は晴れですか？"
print"1.晴れだよー！, 2.違うよ！晴れじゃないよ！, 3.プログラムだからわかんない！ : "
answer = gets.to_i

if answer == 3
  puts"正解！"
  seikaisuu += 1
else
  puts"残念..."
end

sleep 1
puts"終了ー！"
sleep 1
puts"結果は..."
sleep 1
printf("3問中 %d問正解！", seikaisuu)
